Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.dialer
Class DialerListNoQueueing

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.dialer.DialerListNoQueueing

All Implemented Interfaces:
  ContactFactory, DialerList

    public class DialerListNoQueueing

extends Object
implements DialerList

This wrapper dialer list is used by dialers dropping mismatches. It uses a regular dialer list, and resets the patience time of all created contacts to 0. As a result, contacts that cannot be served immediately (mismatches) leave the system without waiting in queue.

Constructor Summary
`DialerListNoQueueing(DialerList list)` Constructs a new dialer list with no queueing by using the inner list `list`.

Method Summary
`void` | `clear()` Clears the contents of this dialer list.
`DialerList` | `getDialerList()` Returns a reference to the internal dialer list.
`Contact` | `newInstance()` Constructs and returns a new `Contact` object.
`Contact` | `removeFirst(int[] contactTypes)` Removes and returns the first contact with one of the desired types from the dialer list.
`int` | `size(int[] contactTypes)` Returns the number of contacts of desired types stored into this dialer list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialerListNoQueueing

    public DialerListNoQueueing(DialerList list)

  Constructs a new dialer list with no queueing by using the inner list `list`.

  Parameters:
    `list` - the inner dialer list.

Method Detail

### getDialerList

    public DialerList getDialerList()

  Returns a reference to the internal dialer list.

  Returns:
    a reference to the internal dialer list.

### clear

    public void clear()

  Description copied from interface: `DialerList`
  Clears the contents of this dialer list. This method does not always reset the size of the list to 0. For example, this method has no effect in the case of infinite dialer lists. For dialer lists with limits on the number of dialed contacts, this resets the size to the maximum number of contacts allowed.

  Specified by:
    `clear` in interface `DialerList`

### removeFirst

    public Contact removeFirst(int[] contactTypes)

  Description copied from interface: `DialerList`
  Removes and returns the first contact with one of the desired types from the dialer list. If the list is empty or does not contain any contact of the desired types, this method must throw a `NoSuchElementException`. If `contactTypes` is `null`, any contact type is allowed. If `contactTypes` is non-`null` while the dialer list does not support restrictions to specific contact types, this throws an `UnsupportedOperationException`.

  Specified by:
    `removeFirst` in interface `DialerList`
  Parameters:
    `contactTypes` - the array of desired contact types.
  Returns:
    the removed contact.

### size

    public int size(int[] contactTypes)

  Description copied from interface: `DialerList`
  Returns the number of contacts of desired types stored into this dialer list. This method counts and returns the number of stored contacts whose type identifiers correspond to one of the elements in the given `contactTypes` array. If the array is `null`, the check is applied for all contact types. If the size of the list is infinite, this must return `Integer.MAX_VALUE`. If the dialer list does not allow restriction to specific contact types, this method throws an `UnsupportedOperationException`.

  Specified by:
    `size` in interface `DialerList`
  Parameters:
    `contactTypes` - the array of desired contact types.
  Returns:
    the number of contacts in the dialer list.

### newInstance

    public Contact newInstance()

  Description copied from interface: `ContactFactory`
  Constructs and returns a new `Contact` object. If a contact cannot be instantiated, a `ContactInstantiationException` is thrown.

  Specified by:
    `newInstance` in interface `ContactFactory`
  Returns:
    the new contact object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.